from math import *

def Distance (xA,yA,xB,yB):
    y=sqrt((xB-xA)**2+(yB-yA)**2)
    return y
def Longueur(N):
    S=0
    u=0
    for i in range(N):
        v=u+...
        S=S+Distance(...,...,...,...)
        u=v
    return S

